import type { MediaItem } from './AdListPage'
export type AdMainConfig = {
  ad_pos: string
  ad_size: number[]
  ad_url: string
  ad_type: number
  ad_cover: string
  ad_text: string
}

export type AdMainConfigList = AdMainConfig[]

export interface DateObject {
  fmtYear: string | number
  fmtMonth: string | number
  fmtDay: string | number
  fmtHour: string | number
  fmtMinute: string | number
  fmtSecond: string | number
  weekStr: string
}

export interface Pages {
  pageNum: number
  pageSize: number
  total?: number
  mediaId?: number | null
  catalogId?: number[]
  keyword?: string | null
  status?: number // 未知状态
  mediaIds?: number[] | null
  creativeId?: number | null
  advertiserId?: number | null
  startDate?: string
  endDate?: string
  datas?: string[]
  cities?: string[]
  provinces?: string[]
  province?: string
  stuffIds?: number[]
  catalogIds?: number[]
  advertiserIds?: number[]
  creativeIds?: number[]
  slotIds?: number[]
  type?: string
}

export interface AsProp {
  mediaIds: MediaItem[] | number[] | number
  startDate: string
  endDate: string
  intervalType: number | undefined
  timeInterval: string
  creativeId: number | undefined
}

export interface menu {
  title?: string
  path?: string
  children?: menu[]
}
